Subject: Re: [PATCH take2] Re: Nested VLAN causes recursive locking error

From: Patrick McHardy <[email-masked]>
Date: Thu, 10 Jan 2008 16:31:22 +0100

Jarek Poplawski wrote:
> As a matter of fact I started to doubt it's a real problem: 2 vlan
> headers in the row - is it working?

Yes, apparently some people are using this.

> Anyway, as Patrick pointed, the previous patch was a bit buggy, and
> deeper nesting needs a little more (if it's can work too...). So,
> here is something minimal.
> 
> Patrick, if you think about something else, then of course don't care
> about this patch.

No, this seems fine, thanks. Even better would be a way to get
the last lockdep subclass through lockdep somehow, but I couldn't
find a clean way for this. So I've applied your patch and also
fixed macvlan.